state("Human Resource Machine")
{
	byte progress : 0x020104, 0x4;
	byte levelselect: 0x14A7D50, 0xDC;
	byte inGame: 0x1E634, 0x40;
}
init
{
	int oldProgress;
	bool cutscene;
}
start {		
	if (current.levelselect == 110) {
		return true;
	}
	
	vars.oldProgress = current.progress;
	vars.cutscene = false;
}
split
{
	if (current.inGame > 0) {
		// Normal level change
		if (vars.oldProgress != current.progress) {
			vars.oldProgress = current.progress;
			return true;
		}
		
		// Cutscene level handling
		if (current.progress > 3 && current.levelselect != 110) {
			vars.cutscene = true;
		}
		if (vars.cutscene && current.levelselect == 110) {
			vars.cutscene = false;
			return true;
		}
		
		//End Program (stop time)
		if (current.progress == 25 && current.levelselect != 110) {
			return true;
		}
	}
	
}

